#pragma once
#include <map>
struct Fish_SeniorPrizeWeightData
{
	//编号
	int mID;
	//类型
	int mType;
	//图形ID
	int mgraphID;
	//权重
	int mWeight;
	//瓜分奖池百分比
	int mDivideJackpotRate;
	//掉落物品ID
	int mItemID;
	//掉落物品数量
	int mItemCount;
	//金币价值
	int mJackpotValue;
};

class Fish_SeniorPrizeWeight
{
public:
private:
	static std::auto_ptr<Fish_SeniorPrizeWeight> msSingleton;
public:
	int GetCount();
	const Fish_SeniorPrizeWeightData* GetData(int ID);
	const std::map<int, Fish_SeniorPrizeWeightData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorPrizeWeight* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorPrizeWeightData> mMapData;
};
